Bug 845634 - Subscriptions for a registered and subscribed system are not correctly updated if rhsmcertd is bounced
Subscriptions for a registered and subscribed system are not correctly update...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 7.0
Assigned To: candlepin-bugs
Entitlement Bugs
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
Reported: 2012-08-03 12:35 EDT by Og Maciel
Modified: 2013-01-30 10:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-30 10:41:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Katello ui showing system is not compliant (70.45 KB, image/png)
2012-08-03 12:35 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-08-03 12:35:19 EDT
Created attachment 602169 [details]
Katello ui showing system is not compliant

Description of problem:

Assuming that you have the correct amount and type of subscriptions available for your organization, when you register and autosubscribe a system to that organization, this system should be displayed as being compliant in katello's web ui (which displays a green icon next to the system name). However, the web ui displays that system as being non-compliant with a red icon next to it. It isn't until rhsmcertd run (or bounced) that the system is properly displayed in the ui.

The default refresh rate for checking/posting the system "health" is 1 day, which means that the true state for a just recently system won't reflect in Katello's web ui until much later. Could we post the system's information back to katello upon successful subscription?

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 2 RHEL Product and Program Management 2012-12-14 03:47:18 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 William Poteat 2013-01-30 10:41:57 EST
The status in Katello is derived from Candlepin exclusively.

The running of rhsmcertd will change the status in the Subscription Manager only. It is far too expensive for every request for subscription or installed product status to refresh from the server. 

The status update will need to wait for rhsmcertd unless we put a 'refresh from server' action in the GUI. The CLI has a 'refresh' command, but it must be explicitly run to pull down or remove certs that will change installed product status.

This needs to be rewritten as an RFE.

Note You need to log in before you can comment on or make changes to this bug.